Bug 1471711 (CVE-2017-10081) - CVE-2017-10081 OpenJDK: incorrect bracket processing in function signature handling (Hotspot, 8170966)
Summary: CVE-2017-10081 OpenJDK: incorrect bracket processing in function signature ha...
Status: CLOSED ERRATA
Alias: CVE-2017-10081
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170718,repor...
Keywords: Security
Depends On:
Blocks: 1466515
TreeView+ depends on / blocked
 
Reported: 2017-07-17 09:55 UTC by Tomas Hoger
Modified: 2019-06-08 22:07 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-14 07:55:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1789 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2017-07-20 21:49:13 UTC
Red Hat Product Errata RHSA-2017:1790 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 20:16:58 UTC
Red Hat Product Errata RHSA-2017:1791 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-14 19:49:45 UTC
Red Hat Product Errata RHSA-2017:1792 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2017-12-14 20:06:49 UTC
Red Hat Product Errata RHSA-2017:2424 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2017-08-07 19:05:48 UTC

Description Tomas Hoger 2017-07-17 09:55:15 UTC
A flaw was found in the way the Hotspot component of OpenJDK processed extraneous brackets in function signatures.  An untrusted Java application or applet could use this flaw to bypass Java certain sandbox restrictions.

Comment 1 Tomas Hoger 2017-07-18 19:51:54 UTC
Public now via Oracle CPU July 2017:

http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixJAVA

The issue was fixed in Oracle JDK 8u141, 7u151, and 6u161.

Comment 2 Tomas Hoger 2017-07-19 14:17:04 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/09eae0bade20

Comment 3 errata-xmlrpc 2017-07-20 16:00:53 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:1792 https://access.redhat.com/errata/RHSA-2017:1792

Comment 4 errata-xmlrpc 2017-07-20 16:03:13 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1791 https://access.redhat.com/errata/RHSA-2017:1791

Comment 5 errata-xmlrpc 2017-07-20 16:19:07 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1790 https://access.redhat.com/errata/RHSA-2017:1790

Comment 6 errata-xmlrpc 2017-07-20 17:50:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1789 https://access.redhat.com/errata/RHSA-2017:1789

Comment 7 errata-xmlrpc 2017-08-07 15:07:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2424 https://access.redhat.com/errata/RHSA-2017:2424


Note You need to log in before you can comment on or make changes to this bug.